title: Join the GitLab for Open Source Program
description: GitLab wants to give back to the open source community by helping teams be more efficient, secure, and productive. Learn more here.
file_name: join
parent_solution: open-source
twitter_image: /images/opengraph/open-source-card.png
header:
  title: Join the GitLab for Open Source Program
  subtitle: Features of [GitLab Ultimate](/pricing/ultimate/), including 50,000 CI/CD minutes, are free to qualifying open source projects.
  image: /images/solutions/open-source-partners-logo.svg
  buttons: 
    - button_text: Learn more
      button_url: https://about.gitlab.com/handbook/marketing/community-relations/opensource-program/#-gitlab-for-open-source-program

tracks:
  heading: About
  body_copy: >-
    Hundreds of thousands of open source contributors around the world have helped make GitLab what it is today. We've created the [GitLab for Open Source Program](https://about.gitlab.com/solutions/open-source/) to give back to this community, helping open source teams be more efficient, secure, and productive through access to GitLab's [top-tier](https://about.gitlab.com/pricing/) capabilities.


    [Public projects](https://docs.gitlab.com/ee/public_access/public_access.html) on GitLab.com do not automatically receive top-tier functionality at the project level. Apply to this program if your project needs top-tier functionality at the project/group level or the additional CI minutes this program provides.

  card:
    - heading: Program benefits
      icon_full: /images/icons/slp-agile.svg
      body: >-
            Enroll in the GitLab for Open Source Program and receive features of [GitLab Ultimate](https://about.gitlab.com/pricing/), self-managed or SaaS, including 50,000 CI/CD minutes ([purchase 1,000 additional minutes](https://docs.gitlab.com/ee/ci/pipelines/cicd_minutes.html#purchase-additional-cicd-minutes) for a one-time, $8 fee).

    - heading: Requirements
      icon_full: /images/icons/slp-lock.svg
      body: >-
            In order to be accepted into the GitLab for Open Source Program, applicants must:

              * **Use OSI-approved licenses for their projects:** Every project in your namespace must be published under an [OSI-approved open source license](https://opensource.org/licenses/alphabetical)

              * **Not seek profit:** Your organization can accept donations to sustain its work, but it can't seek to make a profit by selling services, by charging for enhancements or add-ons, or by other means. [Read more about this requirement](https://about.gitlab.com/handbook/marketing/community-relations/opensource-program/#who-qualifies-for-the-gitlab-for-open-source-program).

              * **Be publicly visible:** Both your GitLab.com group or self-managed instance *and* your source code must be [publicly visible and publicly available](https://docs.gitlab.com/ee/public_access/public_access.html).

            Read [our full list of program exceptions](https://about.gitlab.com/handbook/marketing/community-relations/opensource-program/#who-qualifies-for-the-gitlab-for-open-source-program) to determine whether your project qualifies. If you believe your project meets all program requirements, we welcome your application! 


    - heading: As you apply, keep in mind
      body: >-
            * Benefits of the GitLab for Open Source Program apply to a namespace. To qualify, every project in an applicant's namespace must carry an OSI-approved open source license.

            * Free top-tier accounts do not include [support](https://about.gitlab.com/support/).

            * You'll need to [renew your program membership](https://about.gitlab.com/handbook/marketing/community-relations/opensource-program/#must-members-of-the-gitlab-for-open-source-program-renew-their-memberships) annually. If you don't renew, [your account will be downgraded](https://about.gitlab.com/pricing/licensing-faq/#what-happens-when-my-subscription-is-about-to-expire-or-has-expired).

            * Acceptance into the GitLab for Open Source Program is at GitLab's sole discretion, and we reserve the right to terminate the Program (or change the program requirements) at any time.

    - heading: GitLab for Open Source Agreement
      icon_full: /images/icons/slp-sourcecode.svg
      body: >-
            Upon acceptance, all program members are subject to the [GitLab for Open Source Program Agreement](https://about.gitlab.com/handbook/legal/opensource-agreement/).


block_list_long:
  heading: Frequently Asked Questions
  items_left:
    - text: Must I submit separate applications for all my open source projects?
      body: >-
            GitLab for Open Source Program benefits apply to an entire namespace. To qualify for the program, every project in the applicant's namespace must carry an open source license. When you apply, submit materials for the single project you believe represents all the projects in your namespace.
      dropdown: true
    - text: Will my project receive support as part of the program?
      body: >-
            No. While members of the GitLab for Open Source Program receive GitLab Ultimate at no cost, they do not receive support as part of their license. [Read more about seeking support](https://about.gitlab.com/handbook/marketing/community-relations/opensource-program/#where-can-i-find-help-with-the-gitlab-for-open-source-program).
      dropdown: true
    - text: Why must my projects be publicly visible?
      body: >-
            The goal of the GitLab for Open Source Program is to enable collaboration on open source projects. As a pre-condition to collaboration, people must be able to view an open source project. As a result, we ask that all qualifying projects are publicly visible.
      dropdown: true
    - text: How many members can my enrolled project have?
      body: >-
            When you activate the license you receive as part of the GitLab for Open Source Program, you'll specify the number of seats your account will require.
      dropdown: true
  items_right:
    - text: How do I choose the correct number of seats for my project?
      body: >-
            GitLab uses a concurrent (seat) model, which refers to the maximum number of users enabled at once. Every occupied seat is counted, including the owner’s, with the exception of members with Guest permissions. We are happy to grant you the number of seats you think you'll need for current project members as well as additional ones to plan for growth during the year. You’ll have the opportunity to request additional seats at time of renewal, or you can email us at opensource@gitlab.com to request more while you're a program member.
      dropdown: true
    - text: Can I also use this license for projects that aren't open source, or to host private projects?
      body: >-
            No. You may use the GitLab license you receive from the GitLab for Open Source Program only for the publicly visible open source projects for which it was approved. In some cases, we allow program members to host a small number of private projects if those projects contain sensitive data. Please email us at `opensource@gitlab.com` to ask about your case. You must obtain written permission from us in order to use the license outside of program requirements. Note that any user capable of creating new projects in a namespace is responsible for ensuring that project complies with the GitLab for Open Source Program eligibility requirements. If you're concerned about users creating projects that violate the program's eligibility requirements, we recommend restricting the number of users capable of creating new projects in your namespace.
      dropdown: true
    - text: Must I renew my membership in the program?
      body: >-
            Yes. You'll need to renew your membership in the GitLab for Open Source Program annually. Our program requirements may change periodically, and we'll need to make sure that you continue to meet them. Read and follow [the renewal procedure](https://about.gitlab.com/handbook/marketing/community-relations/opensource-program/#how-does-someone-renew-their-membership-in-the-gitlab-for-open-soure-program) to maintain your membership. Please begin the renewal process at least one month in advance to ensure sufficient processing time. You will receive email reminders to do so and can renew as early as three months in advance of your membership’s expiration.
      dropdown: true
    - text: What happens when my membership is about to expire or has expired?
      body: >-
            To avoid delays, we recommend that you renew your license at least one month in advance of the deadline. If your license is about to expire, [here's what to expect](https://about.gitlab.com/pricing/licensing-faq/#what-happens-when-my-subscription-is-about-to-expire-or-has-expired).
      dropdown: true
    - text: Is GitLab available in my country?
      body: >-
            GitLab is available to people all over the world in [many languages](https://translate.gitlab.com/). However, since we are a U.S.-based company, we do not offer our services in [U.S. embargoed countries](/handbook/business-ops/trade-compliance/#effect-on-customer-facing-web-pages). 
      dropdown: true
    - text: Why can't I see an application form on this page?
      body: >-
            Some web browsers and privacy extensions block the application form because they identify it as a pop-up. Please disable the pop-up blocker on this page, refresh the page, and check again.
      dropdown: true

markto:
  heading: Application
  alert: >-
    Applications will not be processed during U.S. holidays and responses may be delayed during those periods. Furthermore, a few extra steps are required before we transition to a more automated application process. We appreciate your patience during this transition. To help us  prioritize, please let us know if your request is urgent by including
    "Urgent: \[your request]" in the subject line of any email to
    opensource@gitlab.com.
  body: >-
    ### Before you begin

       * **Set up a GitLab account.** You'll need to have a GitLab group already configured for your open source project or organization, via either a Free account or Free Trial. For help setting up a GitLab group, please see the relevant [FAQ below](/solutions/open-source/join/#faqs). If you are considering a migration, you do not need to have finished the migration before applying to the GitLab for Open Source Program. You will need at least one project (repository) set up under your GitLab group to comply with our requirements.

       * **Take screenshots.** During the application process, you'll need to provide [3 screenshots](https://docs.gitlab.com/ee/subscriptions/#gitlab-for-open-source) of your project. We suggest taking them in advance, since you'll need to submit them on page two of the application form.

       * **Complete the form.** Submit the application form on this page to help us verify that you meet all program requirements.

    ### What to expect

       * **Wait time.** Gitlab uses SheerID, a trusted partner, to verify that you meet the GitLab for Open Source requirements. In most cases, you can expect a decision about your application within 15 business days. You may be asked to provide additional information.

       * **After you're verified.** If you qualify for the GitLab for Open Source Program, you'll receive a verification email with specific instructions for obtaining your license. Please follow the instructions carefully.

    ### Help and support

       If you experience any issues obtaining your license in the Customer Portal please open a support ticket on the [GitLab Support Portal](https://support.gitlab.com/hc/en-us/requests/new?ticket_form_id=360000071293) and Select “Licensing and Renewal Problems.”

  form:
    code: >-
      <iframe src="https://offers.sheerid.com/gitlab/member/" width="800"
      height="1300" ></iframe>
      
